diff --git unbound.spec unbound.spec
index 112a17092b..ea1c13cc5a 100644
--- unbound.spec
+++ unbound.spec
@@ -21,7 +21,7 @@
 Summary: Validating, recursive, and caching DNS(SEC) resolver
 Name: unbound
 Version: 1.6.7
-Release: 1%{?extra_version:.%{extra_version}}%{?dist}
+Release: 2%{?extra_version:.%{extra_version}}%{?dist}
 License: BSD
 Url: https://www.unbound.net/
 Source: https://www.unbound.net/downloads/%{name}-%{version}%{?extra_version}.tar.gz
@@ -109,14 +109,15 @@ Requires(pre): shadow-utils
 Contains libraries used by the unbound server and client applications
 
 %if 0%{with_python}
-%package -n python-unbound
+%package -n python2-unbound
+%{?python_provide:%python_provide python2-unbound}
 Summary: Python 2 modules and extensions for unbound
 Group: Applications/System
 Requires: %{name}-libs%{?_isa} = %{version}-%{release}
 Provides: unbound-python = %{version}-%{release}
 Obsoletes: unbound-python < %{version}-%{release}
 
-%description -n python-unbound
+%description -n python2-unbound
 Python 2 modules and extensions for unbound
 %endif # with_python
 
@@ -393,7 +394,7 @@ popd
 %{_mandir}/man8/*
 
 %if 0%{with_python}
-%files -n python-unbound
+%files -n python2-unbound
 %license pythonmod/LICENSE
 %{python2_sitearch}/*
 %doc libunbound/python/examples/*
@@ -438,6 +439,10 @@ popd
 %attr(0644,root,root) %config %{_sysconfdir}/%{name}/root.key
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.6.7-2
+- Python 2 binary package renamed to python2-unbound
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Oct 12 2017 Paul Wouters <pwouters@redhat.com> - 1.6.7-1
 - Updated to 1.6.7 (minor bugfixes)
 
diff --git vertica-python.spec vertica-python.spec
index 9d359a8a56..338c6bbe5b 100644
--- vertica-python.spec
+++ vertica-python.spec
@@ -3,7 +3,7 @@
 
 Name:           vertica-python
 Version:        0.6.14
-Release:        2%{?dist}
+Release:        3%{?dist}
 Summary:        A native Python adapter for the Vertica database
 
 Group:          Development/Languages
@@ -18,22 +18,32 @@ BuildArch:      noarch
 BuildRequires:  python2-devel
 BuildRequires:  python-setuptools
 
+
+
+%global _description\
+vertica-python is a native Python adapter for the Vertica\
+(http://www.vertica.com) database.\
+
+
+%description %_description
+
+%package -n python2-vertica
+Summary: %summary
 %if 0%{?rhel} && 0%{?rhel} <= 6
 Requires:       python-dateutil15
 Requires:       python-setuptools
 %else
 Requires:       python-dateutil >= 1.5
 %endif
-
 Requires:       pytz
 Requires:       python-psycopg2
 Requires:       python2-future
+%{?python_provide:%python_provide python2-vertica}
+# Remove before F30
+Provides: vertica-python = %{version}-%{release}
+Obsoletes: vertica-python < %{version}-%{release}
 
-
-%description
-vertica-python is a native Python adapter for the Vertica
-(http://www.vertica.com) database.
-
+%description -n python2-vertica %_description
 
 %prep
 %setup -q -n vertica-python-%{version}
@@ -53,7 +63,7 @@ vertica-python is a native Python adapter for the Vertica
 %{__python2} setup.py install --skip-build --root $RPM_BUILD_ROOT
 
  
-%files
+%files -n python2-vertica
 %doc README.md LICENSE
 %{python2_sitelib}/*.egg-info
 %dir %{python2_sitelib}/vertica_python
@@ -61,6 +71,10 @@ vertica-python is a native Python adapter for the Vertica
 
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 0.6.14-3
+- Python 2 binary package renamed to python2-vertica
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.6.14-2
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
diff --git z3.spec z3.spec
index 98777d7b82..24c12f145d 100644
--- z3.spec
+++ z3.spec
@@ -8,7 +8,7 @@
 
 Name:           z3
 Version:        4.5.0
-Release:        7%{?dist}
+Release:        8%{?dist}
 Summary:        Satisfiability Modulo Theories (SMT) solver
 
 License:        MIT
@@ -83,11 +83,12 @@ Requires:       ocaml-%{name}%{?_isa} = %{version}-%{release}
 %description -n ocaml-%{name}-devel
 Files for building ocaml applications that use z3.
 
-%package -n python-%{name}
+%package -n python2-%{name}
+%{?python_provide:%python_provide python2-%{name}}
 Summary:        Python 2 interface to z3
 Requires:       %{name}-libs%{?_isa} = %{version}-%{release}
 
-%description -n python-%{name}
+%description -n python2-%{name}
 Python 2 interface to z3.
 
 %prep
@@ -246,10 +247,14 @@ mv %{buildroot}%{_prefix}/lib/lib%{name}java.so %{buildroot}%{_libdir}/%{name}
 %{_libdir}/ocaml/Z3/*.cmxa
 %{_libdir}/ocaml/Z3/*.mli
 
-%files -n python-%{name}
+%files -n python2-%{name}
 %{python2_sitearch}/%{name}/
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 4.5.0-8
+- Python 2 binary package renamed to python2-z3
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Fri Nov 17 2017 Richard W.M. Jones <rjones@redhat.com> - 4.5.0-7
 - OCaml 4.06.0 rebuild.
 - Add dependency on ocaml-num.
diff --git zanata-python-client.spec zanata-python-client.spec
index 0dd62f694c..8c39197b3f 100644
--- zanata-python-client.spec
+++ zanata-python-client.spec
@@ -2,7 +2,7 @@
 %{!?python2_sitelib: %global python2_sitelib %{python_sitelib}}
 Name: zanata-python-client
 Version: 1.5.1
-Release: 3%{?dist}
+Release: 4%{?dist}
 Summary: Python Client for Zanata Server
 License: LGPLv2+
 Group:   Applications/Text
@@ -11,27 +11,39 @@ Source0: https://github.com/zanata/zanata-python-client/archive/v%{version}.tar.
 
 BuildArch: noarch
 BuildRequires: python-setuptools
-Requires: python-polib >= 1.0.0-1
-Requires: python-httplib2 >= 0.7.4-6
-Requires: python-lxml
 
 %if 0%{?rhel}
     %if 0%{?rhel} < 6
 BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root
-Requires:  python-hashlib
-Requires:  python-simplejson
-Requires:  python-ordereddict
     %endif
 %endif
 
 #Conflicts: python-json
 BuildRequires: python2-devel
 
+%global _description\
+Zanata Python client is a client that communicate with Zanata server.
+
+%description %_description
+
+%package -n python2-zanata-client
+Summary: %summary
+Requires: python-polib >= 1.0.0-1
+Requires: python-httplib2 >= 0.7.4-6
+Requires: python-lxml
+%if 0%{?rhel}
+Requires:  python-hashlib
+Requires:  python-simplejson
+Requires:  python-ordereddict
+%endif
 Provides:       flies-python-client = %{version}-%{release}
 Obsoletes:      flies-python-client < 1.1
+%{?python_provide:%python_provide python2-zanata-client}
+# Remove before F30
+Provides: zanata-python-client = %{version}-%{release}
+Obsoletes: zanata-python-client < %{version}-%{release}
 
-%description
-Zanata Python client is a client that communicate with Zanata server.
+%description -n python2-zanata-client %_description
 
 %prep
 %setup -q -n %{name}-%{version}
@@ -47,13 +59,17 @@ rm -rf $RPM_BUILD_ROOT/%{_docdir}
 %clean
 rm -rf %{buildroot}
 
-%files
+%files -n python2-zanata-client
 %defattr(-,root,root,-)
 %doc README.rst COPYING.LESSER zanata.ini zanata_example.xml CHANGELOG
 %{_bindir}/*
 %{python2_sitelib}
 
 %changelog
+* Sun Dec 17 2017 Zbigniew Jędrzejewski-Szmek <zbyszek@in.waw.pl> - 1.5.1-4
+- Python 2 binary package renamed to python2-zanata-client
+  See https://fedoraproject.org/wiki/FinalizingFedoraSwitchtoPython3
+
 * Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-3
 - Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild
 
